using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[PrimaryKey("Queue", "EventId")]
[Table("ATQueueEvent")]
[Index("EventId", Name = "ATQueueEvent_IX_EventId")]
public partial class AtqueueEvent
{
    [Key]
    [StringLength(32)]
    public string Queue { get; set; } = null!;

    [Key]
    [Column("EventID")]
    public int EventId { get; set; }
}
